Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QDeclarativePropertyValueSource Class Reference

The QDeclarativePropertyValueSource class is an interface for property value sources such as animations and bindings. More...

     #include <QDeclarativePropertyValueSource>

- List of all members, including inherited members

## Public Functions

| QDeclarativePropertyValueSource ()
virtual | ~QDeclarativePropertyValueSource ()
virtual void | setTarget ( const QDeclarativeProperty & property ) = 0

## Detailed Description

The QDeclarativePropertyValueSource class is an interface for property value sources such as animations and bindings.

See Property Value Sources for information on writing custom property value sources.

## Member Function Documentation

### QDeclarativePropertyValueSource::QDeclarativePropertyValueSource ()

Constructs a QDeclarativePropertyValueSource.

### QDeclarativePropertyValueSource::~QDeclarativePropertyValueSource ()`[virtual]`

Destroys the value source.

### void QDeclarativePropertyValueSource::setTarget ( const QDeclarativeProperty & property )`[pure virtual]`

Set the target property for the value source. This method will be called by the QML engine when assigning a value source.